Subject: Re: bash 2.05 broken -i flag
From: Jason Tishler <[email-masked]>
To: Mark Paulus <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 25 Apr 2001 10:39:58 -0400

On Fri, Apr 20, 2001 at 11:09:48AM -0600, Mark Paulus wrote:
> I went back and extracted 2.04 (called it
> bash204.exe), duplicated my cygwin.bat
> (cygbatch.bat), and changed the line to be:
> bash204 --login -i ....), just to make sure I
> wasn't hallucinating.  
> 
> The 2.04 version works, the 2.05 doesn't.

I can confirm the above too.  Hopefully, offering some more details will
help mitigate the me too posting...

Invoking bash 2.05-2 with the "-i" option does not seem to cause problems:

    $ bash -i
    $ vi
    $

But, if the first line of a shell script contains "-i" then bad things
happen:

    $ cat foo.sh
    #! /bin/bash -i
    echo hello
    $ foo.sh
    $ # *** Note no output -- hello should have been echoed ***
    $ vi
    bash: [360: 3] tcsetattr: Not a character device
                                                
                                                    [1]+  Stopped  vi
    $ stty sane
    $ jobs
    [1]-  Stopped                 vi
    [2]+  Stopped                 stty sane

The output from cygcheck is attached for reference.

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com
--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple